package fi.jyu.mit.graphics;

/**
 * Luokka cos-funktion ksittelemiseksi.
 * a*cos(b*x) oletuksen cos(x)
 */
public class CosFun implements FunctionRR {

    /**
     * Luodaan stattinen cosini-funktio kaikkien kyttn.
     */
    public static final FunctionRR cos = new CosFun();

    private double a = 1;
    private double b = 1;


    /**
     * Alustetaan oletuksilla   
     */
    public CosFun() {
        // ei tarvii tehd mitn
    }


    /**
     * Asettaa funktion a*cos(b*x) parametrit a ja b
     * @param a funktion a-parametri
     * @param b funktion b-parametri
     */
    public CosFun(double a, double b) {
        this.a = a;
        this.b = b;
    }


    /**
     * Cosinifunktion arvo pisteess x 
     * @param x mist cos lasketaan
     * @return cosinin arvo pisteess x
     */
    @Override
    public double f(double x) { // NOPMD, nyt f on hyv nimi
        return a * Math.cos(b * x);
    }
}