package sample;

import fi.jyu.mit.graphics.*;
import static java.lang.Math.*;

/**
 * Esimerkki 3D-pinnan piirtmisest.
 * Piirt monta rinnakkaista sin-kyr ja pyritt kuvaa.
 * @author vesal
 */
public class FunctionR2Sample {

    /**
     * Luokka sin*cos-funktion ksittelemiseksi.
     * Luokka sin-funktion ksittelemiseksi.
     */
    public static class SinCos implements FunctionR2R {
        /**
         * Luodaan staattinen sincos-funktio kaikkien kyttn.
         */
        public static final FunctionR2R sincos = new SinCos(); // NOPMD nimi saa
                                                               // kelvata


        /**
         * sin*cos-funktion arvo pisteess x 
         * @param x mista arvo lasketaan
         * @param y mista arvo lasketaan
         * @return sin(x)*cos(y) 
         */
        @Override
        public double f(double x, double y) { // NOPMD, nyt f on hyva nimi
            return sin(x) * cos(y);
        }
    }


    /**
     * @param args
     */
    public static void main(String[] args) {
        EasyWindow window = new EasyWindow();
        window.scale(-9, -9, 9, 9);
        window.addAxis(15, 15, 15);
        window.add(new FunctionMapR2R(SinCos.sincos, -2 * PI, -2 * PI, 2 * PI,
                2 * PI));
        window.rotate(Axis.X, 50);
        window.rotate(Axis.Y, 20);
        window.showWindow();
        // new Rotator(window,Axis.Z,5,50);
        window.setTouchPad(true);
        window.setControlButtons(true);

    }

}
