package fi.jyu.mit.graphics;

/**
 * Luokka kuvio-oliokokoelmille.  
 * Tehdn julkiseksi BasicDrawableCollection metodeja jotta tt voi
 * kytt itsenisen luokkana.
 * @author Markus Kivioja
 * @author vesal
 *
 */
public class DrawableCollection extends BasicDrawableCollection {

    /**
     * Luo uuden oliokokelman
     *
     */
    public DrawableCollection() {
        super();
    }


    /**
     * Paluattaa paikaas i oleva piirrettvn olion
     * @param i miss paikass aoleva olio otetaan
     * @return paikassa i oleva olio
     */
    @Override
    public Drawable getDrawable(int i) {
        return super.getDrawable(i);
    }


    /**
     * Lis olion thn kokoelmaan
     * @param pDrawable listtv olio
     * @return listty olio
     */
    @Override
    public Drawable add(Drawable pDrawable) {
        return super.add(pDrawable);
    }


    /**
     * Poistaa olion tst kokoelmasta
     * @param pDrawable poistettava olio
     */
    @Override
    public void remove(Drawable pDrawable) {
        super.remove(pDrawable);
    }


    /**
     * Poistaa kaikki oliot tst kokoelmasta
     */
    @Override
    public void removeAll() {
        super.removeAll();
    }


    /**
     * Palauttaa annetun olion indeksin tss kokoelmassa
     * @param pDrawable olio jonka indeksia haetaan
     * @return annetun olion indeksi
     */
    @Override
    public int getIndex(Drawable pDrawable) {
        return super.getIndex(pDrawable);
    }

}
