package fi.jyu.mit.graphics;

/**
 * Siirtomatriisi
 * @author Vesa Lappalainen
 *
 */
public class TranslateMatrix extends Matrix {

    /**
     * Luo matriisin jolla voi siirt olioita
     * @param dx siirto x-akselin suunnassa
     * @param dy siirto y-akselin suunnassa
     * @param dz siirto z-akselin suunnassa
     */
    public TranslateMatrix(double dx, double dy, double dz) {
        super();
        set(0, 3, dx);
        set(1, 3, dy);
        set(2, 3, dz);
    }
}
